NAND_WRITE_PAGE_HWEC(9)

NAME
nand_write_page_hwecc - [REPLACEABLE] hardware ECC based page write function

SYNOPSIS

int nand_write_page_hwecc(struct mtd_info * mtd, struct nand_chip * chip, const uint8_t * buf, int oob_required);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

buf
    data buffer

oob_required
    must write chip->oob_poi to OOB

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT